Debian Bug report logs - #656809
ruby-ffi: FTBFS on armhf - several failing tests

version graph

Package: src:ruby-ffi; Maintainer for src:ruby-ffi is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>;

Reported by: Antonio Terceiro <terceiro@debian.org>

Date: Sat, 21 Jan 2012 21:33:02 UTC

Severity: serious

Found in version ruby-ffi/1.0.11debian-2

Fixed in version ruby-ffi/1.0.11debian-5

Done: Antonio Terceiro <terceiro@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#656809; Package src:ruby-ffi. (Sat, 21 Jan 2012 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Sat, 21 Jan 2012 21:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ruby-ffi: FTBFS on armhf - several failing tests
Date: Sat, 21 Jan 2012 19:28:51 -0200
[Message part 1 (text/plain, inline)]
Source: ruby-ffi
Severity: grave
Justification: fails to build from source

608 tests from ./spec/ffi/variadic_spec.rb fail.

The failures look like the following:

  608) Function with variadic arguments call(jjf, long_long,2211230779876286898,long_long,2211230779876286898,float,1.23456789)
     Failure/Error: Unable to find matching line from backtrace

       expected 1.23456789
            got 4.32431801513476e-103

       (compared using ==)
     # ./spec/ffi/variadic_spec.rb:76:in `verify'
     # ./spec/ffi/variadic_spec.rb:95
     # debian/ruby-tests.rb:11

The failure seems to be related to floating point numbers. All these tests pass
on armel.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#656809; Package src:ruby-ffi. (Sat, 21 Jan 2012 21:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Sat, 21 Jan 2012 21:42:09 GMT) Full text and rfc822 format available.

Message #10 received at 656809@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Antonio Terceiro <terceiro@debian.org>, 656809@bugs.debian.org
Subject: Re: Bug#656809: ruby-ffi: FTBFS on armhf - several failing tests
Date: Sat, 21 Jan 2012 21:40:49 +0000
severity 656809 important
thanks

On Sat, 2012-01-21 at 19:28 -0200, Antonio Terceiro wrote:
> Source: ruby-ffi
> Severity: grave
> Justification: fails to build from source

No.  The correct severity for a FTBFS would be "serious" in the majority
of cases, not higher.  However, if the package has never built on the
architecture in question and/or no release architectures are affected,
then the issue is not release-critical and the conventional severity is
"important".

Regards,

Adam





Severity set to 'important' from 'grave' Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Jan 2012 21:42:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions ruby-ffi/1.0.11debian-2. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 21 Jan 2012 21:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#656809; Package src:ruby-ffi. (Sat, 21 Jan 2012 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Sat, 21 Jan 2012 23:09:06 GMT) Full text and rfc822 format available.

Message #19 received at 656809@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: debian-arm@lists.debian.org, 656809@bugs.debian.org
Subject: help with ruby-ffi on armhf - several failing tests (#656809)
Date: Sat, 21 Jan 2012 21:03:24 -0200
[Message part 1 (text/plain, inline)]
Dear armhf porters,

I need some help from you to solve a ruby-ffi FTBFS on armhf. The source
builds, but several unit tests fail, and they are all related to float
pointing numbers.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=656809

I am attaching a simple test script that reveals the problem without having to
run the full test suite. To run it:

  * get the ruby-ffi source and install build dependencies
  * run the test script from the root of the sources with something like:
    $ ruby /path/to/ruby-ffi-test-armhf.rb

A second run will produce a cleaner output, since it doesn't need to
build the C code anymore.

It doesn't matter whether you use ruby 1.8 or 1.9, the same tests fail
on both.

On amd64, the test script gives me:

Expected 100, got 100
Expected 1.5, got 1.5
Expected 2.7, got 2.7

On the sid chroot in harris.debian.org, I get:

Expected 100, got 100
Expected 1.5, got 2.90211670708434e-102
Expected 2.7, got 2.90085606709136e-102

-- 
Antonio Terceiro <terceiro@debian.org>
[ruby-ffi-test-armhf.rb (application/x-ruby, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>:
Bug#656809; Package src:ruby-ffi. (Sat, 21 Jan 2012 23:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>. (Sat, 21 Jan 2012 23:09:08 GMT) Full text and rfc822 format available.

Message #24 received at 656809@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 656809@bugs.debian.org
Subject: Re: Bug#656809: ruby-ffi: FTBFS on armhf - several failing tests
Date: Sat, 21 Jan 2012 21:05:02 -0200
[Message part 1 (text/plain, inline)]
Adam D. Barratt escreveu isso aĆ­:
> severity 656809 important
> thanks
> 
> On Sat, 2012-01-21 at 19:28 -0200, Antonio Terceiro wrote:
> > Source: ruby-ffi
> > Severity: grave
> > Justification: fails to build from source
> 
> No.  The correct severity for a FTBFS would be "serious" in the majority
> of cases, not higher.  However, if the package has never built on the
> architecture in question and/or no release architectures are affected,
> then the issue is not release-critical and the conventional severity is
> "important".

ok, thanks for the correction.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 29 Jul 2012 12:12:05 GMT) Full text and rfc822 format available.

Reply sent to Antonio Terceiro <terceiro@debian.org>:
You have taken responsibility. (Sat, 04 Aug 2012 20:51:15 GMT) Full text and rfc822 format available.

Notification sent to Antonio Terceiro <terceiro@debian.org>:
Bug acknowledged by developer. (Sat, 04 Aug 2012 20:51:15 GMT) Full text and rfc822 format available.

Message #31 received at 656809-close@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 656809-close@bugs.debian.org
Subject: Bug#656809: fixed in ruby-ffi 1.0.11debian-5
Date: Sat, 04 Aug 2012 20:48:07 +0000
Source: ruby-ffi
Source-Version: 1.0.11debian-5

We believe that the bug you reported is fixed in the latest version of
ruby-ffi, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656809@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Terceiro <terceiro@debian.org> (supplier of updated ruby-ffi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 04 Aug 2012 16:42:56 -0300
Source: ruby-ffi
Binary: ruby-ffi libffi-ruby libffi-ruby1.8 libffi-ruby1.9.1
Architecture: source amd64 all
Version: 1.0.11debian-5
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Antonio Terceiro <terceiro@debian.org>
Description: 
 libffi-ruby - Transitional package for ruby-ffi
 libffi-ruby1.8 - Transitional package for ruby-ffi
 libffi-ruby1.9.1 - Transitional package for ruby-ffi
 ruby-ffi   - load dynamic libraries, bind functions from within ruby code
Closes: 656809
Changes: 
 ruby-ffi (1.0.11debian-5) unstable; urgency=low
 .
   * debian/patches/0001-Fix-call-to-variadic-functions.patch: fixes calls to
     variadic functions with floating point arguments, which currently only
     breaks on armhf (Closes: #656809), but would also break on other
     architectures with similar ABI for variadic functions.
Checksums-Sha1: 
 4aef5d6c67a4bb1cd5b0fbcc378b0416bd99679c 1646 ruby-ffi_1.0.11debian-5.dsc
 7464e2842a1ca63ac674a67bac241d1776ecb5e0 8868 ruby-ffi_1.0.11debian-5.debian.tar.gz
 8843d97f3a0c1c3fc7b1b1eb7fdd8acb70eaeff9 137096 ruby-ffi_1.0.11debian-5_amd64.deb
 7ebf9124ef44e6ffe5df6c2464373e096eaa2398 6038 libffi-ruby_1.0.11debian-5_all.deb
 7025060709b56e36f98bc0708e749bb5936b639d 6046 libffi-ruby1.8_1.0.11debian-5_all.deb
 a6fcd52267e6fa9f329c31ab931bcd8cbbe61cb3 6040 libffi-ruby1.9.1_1.0.11debian-5_all.deb
Checksums-Sha256: 
 fdaeb1949d12ed49a815237ee59776d0393c34ab9434ab43f3fc487deedf7398 1646 ruby-ffi_1.0.11debian-5.dsc
 9c988e459bfe3e906612ff4be06a01b875700b73b4caadcd36cbade151edecac 8868 ruby-ffi_1.0.11debian-5.debian.tar.gz
 9872fc9bb27ea692d8a8c01a46ac56c13bcbaac208adfeaba764ef05fa1b4e02 137096 ruby-ffi_1.0.11debian-5_amd64.deb
 425f8a562b009754fadb612d63016017b1bdb850c9b5c2ef604eb1fe3aaedcf9 6038 libffi-ruby_1.0.11debian-5_all.deb
 5e35e17c460c5ca46ff46aef3f6597ae534382a28c0af111deedefb341c31234 6046 libffi-ruby1.8_1.0.11debian-5_all.deb
 73db62f98fc03e84cf970bf6822bcbeaa050a87beec0a23098296b815ad71249 6040 libffi-ruby1.9.1_1.0.11debian-5_all.deb
Files: 
 8b76b5edc9518eda207fdb4239601ea1 1646 ruby optional ruby-ffi_1.0.11debian-5.dsc
 68df8c4ce79986fa522964908aaf29a3 8868 ruby optional ruby-ffi_1.0.11debian-5.debian.tar.gz
 8af0ac6223dad6bf2a7bb6e9f8a86f24 137096 ruby optional ruby-ffi_1.0.11debian-5_amd64.deb
 671099f6283fba69a35cd2e00ebc1ef8 6038 oldlibs extra libffi-ruby_1.0.11debian-5_all.deb
 1cb86406e6ddac9f996b0135ad4550b9 6046 oldlibs extra libffi-ruby1.8_1.0.11debian-5_all.deb
 1079979c6ae9b4013a61ce0dcad376b1 6040 oldlibs extra libffi-ruby1.9.1_1.0.11debian-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAdffkACgkQDOM8kQ+cso+SRQCeJbappTYxBdMVlNiAPnTTO94O
P/4An2ucy+M+4cXnUkdBNvS5rscx7Z6i
=5oto
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Sep 2012 07:25:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:18:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.